'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var path = _interopDefault(require('path'));

var DEFAULT_MAPPER = function DEFAULT_MAPPER(fileName) {
  if (!fileName.endsWith('/index.js')) return;
  var dirName = path.basename(path.dirname(fileName));
  return fileName.replace('/index.js', "/".concat(dirName, ".js"));
};

var DEFAULT_OPTIONS = {
  mapper: DEFAULT_MAPPER
};
function namedOutput() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DEFAULT_OPTIONS,
      _ref$mapper = _ref.mapper,
      mapper = _ref$mapper === void 0 ? DEFAULT_MAPPER : _ref$mapper;

  return {
    generateBundle: function generateBundle(options, bundle) {
      var keys = Object.keys(bundle);
      keys.forEach(function (key) {
        var obj = bundle[key];
        obj.fileName = mapper(obj.fileName) || obj.fileName;
      });
      return null;
    }
  };
}

module.exports = namedOutput;
